import { world, system, ItemStack } from "@minecraft/server"



world.afterEvents.playerBreakBlock.subscribe((ev) => {
    const player = ev.player;
    const blockLocation = ev.block.location;

    if (ev.brokenBlockPermutation.matches("minecraft:wheat", { growth : 7 })) {
        ev.cancel = true;
        player.runCommand(`particle old_harvest_time:wheat_h_t ${(blockLocation.x)} ${(blockLocation.y)} ${(blockLocation.z)}`);
        player.runCommand(`setblock ${(blockLocation.x)} ${(blockLocation.y)} ${(blockLocation.z)} wheat ["growth"=0] destroy`);
    }
    
    if (ev.brokenBlockPermutation.matches("minecraft:carrots", { growth : 7 })) {
        ev.cancel = true;
        player.runCommand(`particle old_harvest_time:carrot_h_t ${(blockLocation.x)} ${(blockLocation.y)} ${(blockLocation.z)}`);
        player.runCommand(`setblock ${(blockLocation.x)} ${(blockLocation.y)} ${(blockLocation.z)} carrots ["growth"=0] destroy`);
    }
    
    if (ev.brokenBlockPermutation.matches("minecraft:potatoes", { growth : 7 })) {
        ev.cancel = true;
        player.runCommand(`particle old_harvest_time:potato_h_t ${(blockLocation.x)} ${(blockLocation.y)} ${(blockLocation.z)}`);
        player.runCommand(`setblock ${(blockLocation.x)} ${(blockLocation.y)} ${(blockLocation.z)} potatoes ["growth"=0] destroy`);
    }
    
    if (ev.brokenBlockPermutation.matches("minecraft:beetroot", { growth : 7 })) {
        ev.cancel = true;
        player.runCommand(`particle old_harvest_time:beetroot_h_t ${(blockLocation.x)} ${(blockLocation.y)} ${(blockLocation.z)}`);
        player.runCommand(`setblock ${(blockLocation.x)} ${(blockLocation.y)} ${(blockLocation.z)} beetroot ["growth"=0] destroy`);
    }
    
    if (ev.brokenBlockPermutation.matches("minecraft:nether_wart", { age : 3 })) {
        ev.cancel = true;
        player.runCommand(`particle old_harvest_time:nether_wart_h_t ${(blockLocation.x)} ${(blockLocation.y)} ${(blockLocation.z)}`);
        player.runCommand(`setblock ${(blockLocation.x)} ${(blockLocation.y)} ${(blockLocation.z)} nether_wart ["age"=0] destroy`);
    }
    
});